<nz-card nzSize="small" [nzTitle]="( (color === 'blue' ? 'Military.Battles.Defenders' : 'Military.Battles.Aggressors') | translate ) +  ' - ' + (('Military.Battles.battleHero' )| translate)" style="text-align: center;">
  <span *ngIf="!battleHero">
    <img src="../../../../assets/img/icons/peace.d.png"  style="width: 10%;">
    <div style="margin-top: 5px"> No battle hero! </div>
  </span>
  <span *ngIf="battleHero">

    <div nz-row nzGutter="4">
      <div nz-col nzSpan="8">
        <nz-avatar [nzShape]="'square'" [nzSize]="62" [nzIcon]="'user'" nzSrc="{{ battleHero?.avatar }}"></nz-avatar>
      </div>
      <div nz-col nzSpan="16">
        <nz-tag [nzColor]="color"> {{ battleHero?.name }}</nz-tag><br />
        <nz-tag [nzColor]="color" style="margin-top: 5px">{{ battleHero?.damage }} DMG</nz-tag>
      </div>
    </div>

  </span>
</nz-card>


<nz-card *ngFor="let i of last5Fights" [style.background-color]="
    color === 'blue' ? '#082fcb73' : 'rgba(214, 44, 44, 0.68)'
  " style="margin-top: 5px">

  <div nz-row nzGutter="8">
    <!-- BASIC DATA -->
    <div nz-col nzSpan="10" style="padding-top: 12px">
      <div nz-flex [nzVertical]="true" nzJustify="center" nzAlign="flex-start" nzGap="2px">
        <nz-tag [nzColor]="color">
          <i class="fa-regular fa-user"></i> {{ i?.name }}
        </nz-tag>
        <nz-tag [nzColor]="color">
          <i class="fa-solid fa-bullseye"></i> {{ i?.damage }} DMG
        </nz-tag>
      </div>
    </div>

    <!-- AVATAR -->
    <div nz-col nzSpan="4">
      <nz-avatar [nzShape]="'square'" [nzSize]="41" [nzIcon]="'user'" [nzSrc]="i?.avatar"
        style="margin-top: 10px"></nz-avatar>
    </div>

    <!-- STATS -->
    <div nz-col nzSpan="10">
      <div nz-flex [nzVertical]="true" nzJustify="center" nzAlign="flex-end" nzGap="2px">
        <nz-tag [nzColor]="color">
          <i class="fa-solid fa-bolt"></i> {{ i?.strength }}
        </nz-tag>
        <nz-tag [nzColor]="color">
          <i class="fa-solid fa-person-rifle"></i> <span [innerHtml]=" i?.weaponQuality | q"></span>
        </nz-tag>
        <nz-tag [nzColor]="color">
          <i class="fa-regular fa-heart"></i> {{ i?.health }}
        </nz-tag>
      </div>
    </div>
  </div>
</nz-card>